# StatusBar | tablefilter v0.1.15 API Document

    import {StatusBar} from 'tablefilter/src/modules/statusBar.js'

public class | source

# StatusBar

#### Extends:

Feature → StatusBar

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Status bar UI component |

## Member Summary

Public Members
public | initialized : boolean |
public | msgChangePage : * |
public | msgChangeResults : * |
public | msgClear : * |
public | msgFilter : * |
public | msgLoadExtensions : * |
public | msgLoadThemes : * |
public | msgPopulate : * |
public | msgPopulateCheckList : * |
public | msgResetPage : * |
public | msgResetPageLength : * |
public | msgSort : * |
public | onAfterShowMsg : * |
public | onBeforeShowMsg : * |
public | prfxStatus : string |
public | prfxStatusSpan : string |
public | prfxStatusTxt : string |
public | statusBarCloseDelay : number |
public | statusBarCssClass : * |
public | statusBarDiv : * |
public | statusBarSpan : * |
public | statusBarSpanText : * |
public | statusBarText : * |
public | statusBarTgtId : * |

## Method Summary

Public Methods
public | destroy () |
public | init () |
public | message (t: string) |

## Inherited Summary

From class Feature
public | config : * |
public | emitter : * |
public | enabled : * |
public | feature : * |
public | initialized : boolean |
public | tf : * |
public | destroy () |
public | disable () |
public | enable () |
public | init () |
public | isEnabled (): * |
public | reset () |

## Public Constructors

### public constructor(tf: Object) source

Status bar UI component

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public initialized: boolean source

#### Override:

Feature#initialized

### public msgChangePage: * source

### public msgChangeResults: * source

### public msgClear: * source

### public msgFilter: * source

### public msgLoadExtensions: * source

### public msgLoadThemes: * source

### public msgPopulate: * source

### public msgPopulateCheckList: * source

### public msgResetPage: * source

### public msgResetPageLength: * source

### public msgSort: * source

### public onAfterShowMsg: * source

### public onBeforeShowMsg: * source

### public prfxStatus: string source

### public prfxStatusSpan: string source

### public prfxStatusTxt: string source

### public statusBarCloseDelay: number source

### public statusBarCssClass: * source

### public statusBarDiv: * source

### public statusBarSpan: * source

### public statusBarSpanText: * source

### public statusBarText: * source

### public statusBarTgtId: * source

## Public Methods

### public destroy() source

#### Override:

Feature#destroy

### public init() source

#### Override:

Feature#init

### public message(t: string) source

#### Params:

Name | Type | Attribute | Description

t

string

- optional
- default: